Subject: RE: Issue 99 (negative LOOKUP caching)

From: "Noveck, Dave" <[email-masked]>
Date: Mon, 22 Jul 2002 11:24:31 -0700

Ric Werme wrote: 
> Also, note that our kernel builds are a good example of why keeping
> delegations after close(2) is a good idea.  If the build process had
> read delegations for all the executables and header files, all those
> getattrs could go away and close-to-open consistency would be maintained
> across multiple invocations of compilers, reads of header files, etc.

However, you can't get delegations for files that don't exist.  This is
why it would be rather unfortunate if we banned negative LOOKUP caching.